LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | Public Attributes | List of all members
XSection Interface Reference

identifies a XSection inside a report. More...

`import"XSection.idl";`

Inheritance diagram for XSection:

## Exported Interfaces
interface | com::sun::star::container::XChild
| allows to navigate to group or report definition. More...
interface | com::sun::star::container::XContainer
| allows to register listeners to be notified of changes in the container. More...
interface | com::sun::star::drawing::XShapes
| gives access to the elements by index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of the elements. More...
interface | com::sun::star::beans::XPropertySet
| provides generic access to the instance properties More...
interface | com::sun::star::lang::XComponent
| allows life-time control of sections. More...

## Public Attributes
boolean | Visible
| Defines if the section should be visible in report. More...
string | Name
| Defines the name of the section. More...
unsigned long | Height
| Defines the height of the section. More...
com::sun::star::util::Color | BackColor
| Defines the back ground color of the section. More...
boolean | BackTransparent
| determines if the back ground color is set to transparent. More...
string | ConditionalPrintExpression
| Defines the expression which is executed before printing the section. More...
short | ForceNewPage { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies whether the section is printed on a separate page. More...
short | NewRowOrCol { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies whether the section is printed in a new row or column within a multi column report. More...
boolean | KeepTogether { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies that the section is printed on one page. More...
boolean | CanGrow { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies that elements with dynamic state will be expanded vertically when then content of the element is larger than it's container. More...
boolean | CanShrink { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
boolean | RepeatSection { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Defines that the group header should be repeated on the next page when a group spans more than one page. More...
com::sun::star::report::XGroup | Group
| Specifies the parent of the section if it is a group header or group footer. More...
com::sun::star::report::XReportDefinition | ReportDefinition
| Specifies the parent of the section if it is a page header or page footer. More...

## Additional Inherited Members
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection. More...
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

identifies a XSection inside a report.

A section acts like a container of report components. This generic construction allows the definition of hierarchies of reports and their dependent subreports.

See also
  XReportDefinition
  XGroup

## Exported Interfaces

interface com::sun::star::beans::XPropertySet

provides generic access to the instance properties

interface com::sun::star::container::XChild

allows to navigate to group or report definition.

interface com::sun::star::container::XContainer

allows to register listeners to be notified of changes in the container.

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of the elements.

interface com::sun::star::drawing::XShapes

gives access to the elements by index.

interface com::sun::star::lang::XComponent

allows life-time control of sections.

## Member Data Documentation

com::sun::star::util::Color BackColor
| attribute bound

Defines the back ground color of the section.

boolean BackTransparent
| attribute bound

determines if the back ground color is set to transparent.

boolean CanGrow
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |
| attribute bound

Specifies that elements with dynamic state will be expanded vertically when then content of the element is larger than it's container.

If this property is disabled the content will be truncated when its size is larger than the container.

boolean CanShrink
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |
| attribute bound

Represents ...

string ConditionalPrintExpression
| attribute bound

Defines the expression which is executed before printing the section.

If the return value of the expression is `TRUE` then the section will be printed.

short ForceNewPage
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |
| attribute bound

Specifies whether the section is printed on a separate page.

Not valid for page header or page footer.

See also
  ForceNewPage

com::sun::star::report::XGroup Group
| attribute readonly

Specifies the parent of the section if it is a group header or group footer.

unsigned long Height
| attribute bound

Defines the height of the section.

boolean KeepTogether
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |
| attribute bound

Specifies that the section is printed on one page.

Not valid for page header or page footer.

string Name
| attribute bound

Defines the name of the section.

short NewRowOrCol
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |
| attribute bound

Specifies whether the section is printed in a new row or column within a multi column report.

Not valid for page header or page footer.

See also
  ForceNewPage

boolean RepeatSection
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |
| attribute bound

Defines that the group header should be repeated on the next page when a group spans more than one page.

It only applies to group headers.

com::sun::star::report::XReportDefinition ReportDefinition
| attribute readonly

Specifies the parent of the section if it is a page header or page footer.

boolean Visible
| attribute bound

Defines if the section should be visible in report.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XSection.idl